Skip to content

Create a project

POST
/projects
curl --request POST \
--url https://api.warmup.social/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "Autumn launch" }'

The number of projects is limited by the plan — see limits in “List projects”.

Media typeapplication/json
object
name
required

Project name; leading and trailing spaces are trimmed.

string
>= 1 characters <= 80 characters

Example

Autumn launch

Project created.

Media typeapplication/json
object
id
required
string format: uuid
name
required
string
>= 1 characters <= 80 characters
createdAt
required
string format: date-time
status
required
string
Allowed values: farm active paused archived
gender
required
string
nullable
Allowed values: male female
language
required

BCP 47 language tag.

string
nullable
geo
required

ISO 3166-1 alpha-2 country code.

string
nullable
connections
required
object
facebook
required

The connected account; null — the network is not connected.

object
status
required
string
Allowed values: active needs_reauth revoked
username
required
string
nullable
displayName
required
string
nullable
avatarUrl
required
string
nullable
missingScopes
required
Array<string>
statusReason
required
string
nullable
connectedAt
required
string format: date-time
instagram
required

The connected account; null — the network is not connected.

object
status
required
string
Allowed values: active needs_reauth revoked
username
required
string
nullable
displayName
required
string
nullable
avatarUrl
required
string
nullable
missingScopes
required
Array<string>
statusReason
required
string
nullable
connectedAt
required
string format: date-time
threads
required

The connected account; null — the network is not connected.

object
status
required
string
Allowed values: active needs_reauth revoked
username
required
string
nullable
displayName
required
string
nullable
avatarUrl
required
string
nullable
missingScopes
required
Array<string>
statusReason
required
string
nullable
connectedAt
required
string format: date-time
limits
required
object
used
required
integer
max
required
integer

Example

{
"name": "Nails studio",
"status": "farm",
"gender": "male",
"language": "en-US",
"geo": "US",
"connections": {
"facebook": {
"status": "active",
"username": "chillax_nails"
},
"instagram": {
"status": "active",
"username": "chillax_nails"
},
"threads": {
"status": "active",
"username": "chillax_nails"
}
},
"limits": {
"used": 1,
"max": 3
}
}

Invalid request.

Media typeapplication/json
object
statusCode
required
integer
message
required
One of:
string
error
string
key
additional properties
any

Example

{
"statusCode": 400,
"message": "Invalid request",
"error": "Bad Request"
}

The Bearer token is missing or invalid.

Media typeapplication/json
object
statusCode
required
integer
message
required
One of:
string
error
string
key
additional properties
any

Example

{
"statusCode": 400,
"message": "Invalid request",
"error": "Bad Request"
}

The plan’s project limit is reached (project_limit_reached).

Media typeapplication/json
object
code
required
string
Allowed values: project_limit_reached
limit
required

Maximum number of projects on the current plan.

integer

Example

{
"code": "project_limit_reached",
"limit": 3
}